using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            string q = Console.ReadLine();
            
            double cifre = q.Length;
           
            double broj = double.Parse(q);

            double brojac=0;
            
            double jed=1;
            double dvo=2;
            double pet=5;

            for (int i = 1; i < cifre; i++)    
            {
                jed *= 10;
                dvo *= 10;
                pet *= 10;
            
            }

            while (broj != 0)
            {
                
                if (broj - pet >= 0)
                {
                    broj -= pet;
                    brojac++;
                }
                else if (broj - dvo >= 0)
                {
                    broj -= dvo;
                    brojac++;
                }
                else if (broj - jed >= 0)
                {
                    broj -= jed;
                    brojac++;
                }

                if (broj - pet < 0  &&  broj - dvo < 0  &&  broj - jed < 0)
                {
                    pet /= 10;
                    dvo /= 10;
                    jed /= 10;
                
                
                }
            
              }

            Console.Write(brojac);
        }
    }
}